Subject: Summary: BDF to PS font

From: Feng Qiu <[email-masked]>
Date: Sun, 14 Feb 1993 19:15:33 -0600

Summary on conversion of BDF font to Postscript outline font

Last year I posted an article concerning converting Chinese BDF font
to
PostScript outline font.  I got some replies. Some say it's possible.
Some
argued it's not possible. So, here is a summary.

[Start of the Summary]

----------------------------------------------------------------------
-------------------------------------------------------------------
Date: Mon, 8 Jun 92 16:52:51 PDT
From: [email-masked] (Erik Talvola)

You probably want to look at GhostScript, part of the GNU project.

You can get it by FTP from prep.ai.mit.edu.  It will convert BDF
fonts into PostScript fonts (results can be ugly, but usuable).
I haven't tried it myself, but give it a try.  Latest version is
2.4.1 I think.  Try posting to gnu.ghostscript.bug if you have
more questions, or e-mail [email-masked] (the author).

-- Erik

----------------------------------------------------------------------
-------------------------------------------------------------------
Date: Tue, 9 Jun 92 13:55:13 EDT
From: [email-masked] (Lee Hetherington)

No it really isn't possible to convert a (simple) bitmap into a fully
hinted, *outline*.  The bitmap simply doesn't contain enough
information.  I believe it is possible (but don't know how) to create
a
type-3 font from a bitmap which will be just that, a bitmap, but it
isn't really scalable like an outline font.

--Lee Hetherington

----------------------------------------------------------------------
-------------------------------------------------------------------
Date: Tue, 9 Jun 92 23:13:53 PDT
From: [email-masked] (Yang Chen)

There is no free PostScript Chinese font to my knowledge.
Here is a message from the author of a commercial PS font
developer, who posted in s.c.c. to have uploaded sample
PS Chinese fonts. Try it out. There are very nice. Once you
see them, you will appreciate and see why it is not free.

Yang

----------------------------------------------------------------------
-------------------------------------------------------------------
Date: Wed, 10 Jun 92 10:48:07 EST
From: "KeJia. Gao                (914) 945-1566"
<[email-masked]>
Reply-To: "KeJia. Gao            (914) 945-1566"
<[email-masked]>

Maybe you have known the Chtex. But just in case, there is a chtex
program
which can produce a postscript file ---- invoke chtex -w [filename].
I don't
think this is what you want. However, it is a good place to start if
you
want to develop a conversion program. I would like to share the
knowledge of
the Chinese publishing software that you know.

Regards,

Kejia.

----------------------------------------------------------------------
-------------------------------------------------------------------
Date: Mon, 15 Jun 92 14:24:08 CDT
From: Tom Epperly <[email-masked]>

I have good news.  There is such a program.  I have better news -- it
is free(in the GNU sense of the word).  The GNU postscript preview
ghostscript comes with a program call bdftops.  This will convert an
X-window font into a file that can be used with Postscript hence with
a NeXT.  The only bad news is that you will have to do some compiling
and reading to understand how to use these tools.  All of the source
materials can be obtained via anonymous ftp from prep.ai.mit.edu.
cd to pub/gnu, and then look for the ghostscript distribution files.
You will need at least "ghostscript-2.4.tar.Z".  You will not need
ghostview.  You might need ghostscript-fonts-2.4.tar.Z, but I am not
sure.

Have fun, and happy hacking.  Good luck.

                                Tom Epperly
                                Chemical Engineering
                                University of Wisconsin - Madison

----------------------------------------------------------------------
-------------------------------------------------------------------
Date: Tue, 16 Jun 92 19:41:54 GMT-0800
From: [email-masked] (David John Burrowes)

Fontographer, on the Mac, allows the user to enter outline
descriptions of the letters of a font.  It uses these outlines to
generate bitmaps which one can use on the Mac Screen, and PostScript
font files which can be used on LaserPrinters.

In general, the only way to convert a bitmap to a an outline would be
to, basically, wrap an outline around the whole bitmap shape
precisely.  The only trouble with this is that you would end up with
an outline that represented the 'jaggies' of the bitmap no matter
what size one scaled it to.  One can make some refinements to this
approach, but the resulting image will, nevertheless, always be of
pretty poor quality.

Though, I'm puzzled about where you saw an PS font that indicated
that it had come from a bitmap?  you found a file which had headers,
then bitmaps, then PS procedures describing the outlines?   Were
there some kind of PostScript comment indicating that there were
bitmaps in there or something?

Anyway.  I hope this helps some.

----------------------------------------------------------------------
-------------------------------------------------------------------
Date: Mon, 22 Jun 92 09:07:15 -0400
From: [email-masked] (Norman Walsh)

I'm working on this problem myself.  If you get any advise, please
let
me know.  Likewise, I'll let you know if I get anywhere...

                                                          norm
----------------------------------------------------------------------
-------------------------------------------------------------------
Date: Mon, 22 Jun 92 09:39:41 PDT
From: [email-masked] (Waqar A. Malik)

        Send mail to [email-masked] they can help you with
the
afm files.

--
Waqar Malik
[email-masked]

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

[End of the summary]

If you want to try how to do it please post your results. Even if you
can get
Postscript bitmap font (not outline font) it's still very useful.

-- Feng
[email-masked]